Package it.ernytech.tdlib

## Class TdApi.SendChatSetTtlMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendChatSetTtlMessage

Enclosing class:
  TdApi

    public static class TdApi.SendChatSetTtlMessage
    extends TdApi.Function

Changes the current TTL setting (sets a new self-destruct timer) in a secret chat and sends the corresponding message.

Returns `Message`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `ttl` New TTL value, in seconds.

### Constructor Summary

Constructors
`SendChatSetTtlMessage()` Default constructor.
`SendChatSetTtlMessage​(long chatId, int ttl)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### ttl

    public int ttl

New TTL value, in seconds.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendChatSetTtlMessage

    public SendChatSetTtlMessage()

Default constructor.

#### SendChatSetTtlMessage

    public SendChatSetTtlMessage​(long chatId,
                                 int ttl)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `ttl` - New TTL value, in seconds.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR